B2Copy

Get the B2Copy JWT

Use this method to generate a JSON Web Token (JWT) for a client to access the B2Copy investment platform functionality in the Trader's Room. This token is used for making gRPC requests.

GET
/api/v2/my/b2copy/auth/token

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

investment_platform_id*integer

The identifier of the investment platform instance.

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v2/my/b2copy/auth/token"
{  "host": "string",  "token": "string"}
{  "error": {    "message": "Bad Request",    "details": [      {        "issue": "The selected value is invalid.",        "field": "parameter"      }    ]  }}
{  "error": {    "message": "Unauthorized"  }}
{  "error": {    "message": "Service Unavailable"  }}